Join us on our own very special Reddit: /r/Linuxers
DXVK in Lutris broke after upgrade to Ubuntu 20.4
Page: 1/2»
  Go to:
Drak 24 May

Hi,

I recently upgraded from Ubuntu 18.4 to 20.4 which worked fine except the fact that all games in Lutris using DXVK no longer run. They do run when I switch off DXVK in the Runner Configuration.
Vulkan works fine (SOTRT runs fine).
Running a game in Proton also works fine.

I am confused. Everything worked with 18.4 and Wine and Vulkan still seem to work fine.
Any Ideas?

Running with DXVK seems to end in some kind of Null-Pointer:
wine: Unhandled page fault on read access to 00000000 at address 00000000 (thread 0009), starting debugger...
Unhandled exception: page fault on read access to 0x00000000 in 32-bit code (0x00000000).


Last edited by Drak on 24 May 2020 at 3:56 pm UTC

mirv 31 May

Did you ever manage to fix this?

I'm having troubles with the same error message on system wine and DXVK above v1.4.6, and nothing I try seems to fix it.

Drak 4 Jun

No.
But interesting. I just checked and DXVK 1.5.1 (the oldest one lutris lets me pick) works. Nothing newer.
Also:
This is true for wine version lutris-fshack-5.0.
With lutris-5.7 every version was broken.
(I did not try other wine versions)

mirv 4 Jun

Ok, yes, I'm able to do 1.5.1 at the time of writing.

There's some incompatibility with the vulkan-loader I think. Some of the KHR extensions went into core, and it appears not to like that.

Xpander 4 Jun

it looks like missing 32bit drivers?

mirv 4 Jun

Not in my case - all the 32bit libs are there, and I have (almost) the same message for 64bit as well.

Ehvis 4 Jun

I'm on 20.04 and played Star Citizen last week without issues. However, I upgraded through the 19.x versions.

this must be a lutris problem probably a python issue I'm on kubuntu 20.4... and with Wine I didn't notice any breakage .

mirv 5 Jun

The_Aquabatthis must be a lutris problem probably a python issue I'm on kubuntu 20.4... and with Wine I didn't notice any breakage .

I don't use lutris.
Which version of wine do you use, and which version of the vulkan loader?

mirv
The_Aquabatthis must be a lutris problem probably a python issue I'm on kubuntu 20.4... and with Wine I didn't notice any breakage .

I don't use lutris.
Which version of wine do you use, and which version of the vulkan loader?

Wine 5.9 devel . DXVK 1.7.

mirv 5 Jun

The_Aquabat
mirv
The_Aquabatthis must be a lutris problem probably a python issue I'm on kubuntu 20.4... and with Wine I didn't notice any breakage .

I don't use lutris.
Which version of wine do you use, and which version of the vulkan loader?

Wine 5.9 devel . DXVK 1.7.

Not entirely sure which package the vulkan-loader is a part of with Kubuntu (maybe libvulkan?). Mine is v1.2.137, for example.

You need to Register and Login to comment, submit articles and more.


Or login with...